/*
This source file is part of ProceduralGenerator (https://sourceforge.net/projects/proceduralgene/)

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU Lesser General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with
the program; if not, write to the Free Software Foundation, Inc., 59 Temple
Place - Suite 330, Boston, MA 02111-1307, USA, or go to
http://www.gnu.org/copyleft/lesser.txt.
*/
#ifndef ___PrecompiledHeader___
#define	___PrecompiledHeader___

#include <LibGenerator/glew.h>

#include <wx/app.h>
#include <wx/button.h>
#include <wx/choicdlg.h>
#include <wx/combobox.h>
#include <wx/dcclient.h>
#include <wx/dcmemory.h>
#include <wx/dialog.h>
#include <wx/dir.h>
#include <wx/dynload.h>
#include <wx/filedlg.h>
#include <wx/filefn.h>
#include <wx/filename.h>
#include <wx/frame.h>
#include <wx/glcanvas.h>
#include <wx/mstream.h>
#include <wx/numdlg.h>
#include <wx/object.h>
#include <wx/panel.h>
#include <wx/slider.h>
#include <wx/stattext.h>
#include <wx/statline.h>
#include <wx/statusbr.h>
#include <wx/stdpaths.h>
#include <wx/sysopt.h>
#include <wx/textfile.h>
#include <wx/tglbtn.h>
#include <wx/timer.h>
#include <wx/utils.h>
#include <wx/wx.h>

#include <vector>
#include <set>
#include <map>
#include <limits>
#include <algorithm>
#include <sstream>

#include <LibGenerator/ProceduralGenerator.h>
#include <LibGenerator/Thread.h>
#include <LibGenerator/StatusUpdateEvent.h>
#include <LibGenerator/GlObjects.h>
#include <LibGenerator/Value.h>
#include <LibGenerator/Point.h>

#ifdef _WIN32
#	include <windows.h>
#else
#	include <dlfcn.h>
#	define Sleep( x) usleep( x)
#endif

int GetCPUCount();

#ifdef __WXMSW__
#	include<wx/msw/msvcrt.h>
#endif

#endif
